import { CommonRemoteDataServices } from '@pos/base';
import { IBaseDataServicesRepository } from '../repositories';
import { DataServicesConstructorEntity } from '../entities';

export function makeCommonDataServices(params: DataServicesConstructorEntity): IBaseDataServicesRepository {
  return new CommonRemoteDataServices(params);
}
